-- phpMyAdmin SQL Dump
-- version 4.0.9
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Dec 14, 2014 at 12:41 PM
-- Server version: 5.6.21
-- PHP Version: 5.4.27

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

-- --------------------------------------------------------

--
-- Table structure for table `access_control`
--

CREATE TABLE IF NOT EXISTS `access_control` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` text COLLATE utf8_unicode_ci NOT NULL,
  `level` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=5 ;

--
-- Dumping data for table `access_control`
--

INSERT INTO `access_control` (`id`, `name`, `level`) VALUES
(1, 'Staff', 1),
(2, 'Administrative', 2),
(3, 'Members', 3),
(4, 'Visitors', 4);

-- --------------------------------------------------------

--
-- Table structure for table `groups`
--

CREATE TABLE IF NOT EXISTS `groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` text COLLATE utf8_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `leader1` int(11) NOT NULL,
  `leader2` int(11) NOT NULL,
  `trackattendance` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`),
  FULLTEXT KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `group_attendance`
--

CREATE TABLE IF NOT EXISTS `group_attendance` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `groupid` int(11) NOT NULL,
  `memid` bigint(11) NOT NULL,
  `date` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  FULLTEXT KEY `date` (`date`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `group_members`
--

CREATE TABLE IF NOT EXISTS `group_members` (
  `logid` bigint(20) NOT NULL AUTO_INCREMENT,
  `group_id` int(11) NOT NULL,
  `member_id` bigint(20) NOT NULL,
  `status` tinyint(4) NOT NULL,
  `remarks` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`logid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

--
-- Table structure for table `kidzpoint`
--

CREATE TABLE IF NOT EXISTS `kidzpoint` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `child_id` bigint(20) NOT NULL,
  `parent_id` bigint(20) NOT NULL,
  `date` text COLLATE utf8_unicode_ci NOT NULL,
  `status` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `child_id` (`child_id`),
  FULLTEXT KEY `date` (`date`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;


--
-- Table structure for table `members_pwreset`
--

CREATE TABLE IF NOT EXISTS `members_pwreset` (
  `id` bigint(20) NOT NULL,
  `pwkey` varchar(200) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `print_envelopes`
--

CREATE TABLE IF NOT EXISTS `print_envelopes` (
  `id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `name` text COLLATE utf8_unicode_ci NOT NULL,
  `width` float NOT NULL,
  `height` float NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

--
-- Dumping data for table `print_envelopes`
--

INSERT INTO `print_envelopes` (`id`, `name`, `width`, `height`) VALUES
(1, 'Envelope #10', 4.12, 9.5),
(2, 'Envelope DL', 4.33, 8.66);

-- --------------------------------------------------------

--
-- Table structure for table `print_letters`
--

CREATE TABLE IF NOT EXISTS `print_letters` (
  `id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `name` text COLLATE utf8_unicode_ci NOT NULL,
  `width` float NOT NULL,
  `height` float NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

--
-- Dumping data for table `print_letters`
--

INSERT INTO `print_letters` (`id`, `name`, `width`, `height`) VALUES
(1, 'A4', 8.27, 11.69),
(2, 'Letter', 8.5, 11);

-- --------------------------------------------------------

--
-- Table structure for table `schools`
--

CREATE TABLE IF NOT EXISTS `schools` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=7 ;

--
-- Dumping data for table `schools`
--

INSERT INTO `schools` (`id`, `name`) VALUES
(1, 'Local School 1'),
(2, 'Local School 2'),
(3, 'Local School 3'),
(4, 'Homeschool'),
(5, 'Other'),
(6, 'N/A');

-- --------------------------------------------------------

--
-- Table structure for table `staff_calendar`
--

CREATE TABLE IF NOT EXISTS `staff_calendar` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `memid` bigint(20) NOT NULL,
  `date_d` tinyint(4) NOT NULL,
  `date_m` tinyint(4) NOT NULL,
  `date_y` mediumint(6) NOT NULL,
  `recurring` tinyint(4) NOT NULL,
  `title` text COLLATE utf8_unicode_ci NOT NULL,
  `descr` longtext COLLATE utf8_unicode_ci NOT NULL,
  `off` tinyint(4) NOT NULL,
  `addedby` bigint(20) NOT NULL,
  `public` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=5 ;

--
-- Dumping data for table `staff_calendar`
--

INSERT INTO `staff_calendar` (`id`, `memid`, `date_d`, `date_m`, `date_y`, `recurring`, `title`, `descr`, `off`, `addedby`, `public`) VALUES
(2, 0, 24, 12, 2014, 0, 'Christmas Eve Service', '9PM - 11PM', 0, 1, 1),
(3, 0, 7, 12, 2014, 0, 'Sunday Worship', '9AM Traditional\r\n11AM Contemporary', 0, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `states`
--

CREATE TABLE IF NOT EXISTS `states` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `state` tinytext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=51 ;

--
-- Dumping data for table `states`
--

INSERT INTO `states` (`id`, `state`) VALUES
(1, 'AL'),
(2, 'AK'),
(3, 'AZ'),
(4, 'AR'),
(5, 'CA'),
(6, 'CO'),
(7, 'CT'),
(8, 'DE'),
(9, 'FL'),
(10, 'GA'),
(11, 'HI'),
(12, 'ID'),
(13, 'IL'),
(14, 'IN'),
(15, 'IA'),
(16, 'KS'),
(17, 'KY'),
(18, 'LA'),
(19, 'ME'),
(20, 'MD'),
(21, 'MA'),
(22, 'MI'),
(23, 'MN'),
(24, 'MS'),
(25, 'MO'),
(26, 'MT'),
(27, 'NE'),
(28, 'NV'),
(29, 'NH'),
(30, 'NJ'),
(31, 'NM'),
(32, 'NY'),
(33, 'NC'),
(34, 'ND'),
(35, 'OH'),
(36, 'OK'),
(37, 'OR'),
(38, 'PA'),
(39, 'RI'),
(40, 'SC'),
(41, 'SD'),
(42, 'TN'),
(43, 'TX'),
(44, 'UT'),
(45, 'VT'),
(46, 'VA'),
(47, 'WA'),
(48, 'WV'),
(49, 'WI'),
(50, 'WY');

-- --------------------------------------------------------

--
-- Table structure for table `themes`
--

CREATE TABLE IF NOT EXISTS `themes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=4 ;

--
-- Dumping data for table `themes`
--

INSERT INTO `themes` (`id`, `name`) VALUES
(1, 'Paper'),
(2, 'Simple'),
(3, 'Old Scroll');

-- --------------------------------------------------------

--
-- Table structure for table `tree_user`
--

CREATE TABLE IF NOT EXISTS `tree_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` text COLLATE utf8_unicode_ci NOT NULL,
  `type` tinyint(4) NOT NULL DEFAULT '2',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=6 ;

--
-- Dumping data for table `tree_user`
--

INSERT INTO `tree_user` (`id`, `name`, `type`) VALUES
(1, 'Staff', 1),
(2, 'Administrative', 2),
(3, 'Member', 3),
(4, 'Child', 4),
(5, 'Visitor', 5);

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `password` text COLLATE utf8_unicode_ci NOT NULL,
  `last` text COLLATE utf8_unicode_ci NOT NULL,
  `first` text COLLATE utf8_unicode_ci NOT NULL,
  `pic` text COLLATE utf8_unicode_ci NOT NULL,
  `thumb` text COLLATE utf8_unicode_ci NOT NULL,
  `dob` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `gender` tinytext COLLATE utf8_unicode_ci NOT NULL,
  `title` text COLLATE utf8_unicode_ci NOT NULL,
  `email_primary` text COLLATE utf8_unicode_ci NOT NULL,
  `email_temp` text COLLATE utf8_unicode_ci NOT NULL,
  `email_secondary` text COLLATE utf8_unicode_ci NOT NULL,
  `phone_cell` text COLLATE utf8_unicode_ci NOT NULL,
  `phone_home` text COLLATE utf8_unicode_ci NOT NULL,
  `phone_work` text COLLATE utf8_unicode_ci NOT NULL,
  `marital_status` tinytext COLLATE utf8_unicode_ci NOT NULL,
  `anniversary` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `spouse_id` bigint(20) NOT NULL,
  `spouse_permission` tinyint(4) NOT NULL,
  `parent_id` bigint(20) NOT NULL,
  `parent_id_adult` bigint(20) NOT NULL,
  `address1` text COLLATE utf8_unicode_ci NOT NULL,
  `address2` text COLLATE utf8_unicode_ci NOT NULL,
  `city` text COLLATE utf8_unicode_ci NOT NULL,
  `state` tinytext COLLATE utf8_unicode_ci NOT NULL,
  `zip` varchar(5) COLLATE utf8_unicode_ci NOT NULL,
  `school` smallint(6) NOT NULL,
  `school_type` tinyint(4) NOT NULL,
  `allergies` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `age_cat` tinyint(4) NOT NULL,
  `kidzpoint_room` int(11) NOT NULL,
  `baptized` tinyint(4) NOT NULL,
  `spiritual_gifts` longtext COLLATE utf8_unicode_ci NOT NULL,
  `discipleship` tinyint(4) NOT NULL,
  `remarks` longtext COLLATE utf8_unicode_ci NOT NULL,
  `date_added` text COLLATE utf8_unicode_ci NOT NULL,
  `last_updated_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `last_updated_by` bigint(20) NOT NULL,
  `access_level` tinyint(4) NOT NULL DEFAULT '4',
  `member_level` tinyint(4) NOT NULL,
  `member_since` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `account_status` tinyint(4) NOT NULL,
  `theme` tinyint(4) NOT NULL DEFAULT '1',
  `privacy` tinyint(4) NOT NULL,
  `sendalerts` tinyint(4) NOT NULL DEFAULT '1',
  `failed_logins` smallint(6) NOT NULL,
  `verified` tinyint(4) NOT NULL,
  `activationkey` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=10 ;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `password`, `last`, `first`, `pic`, `thumb`, `dob`, `gender`, `title`, `email_primary`, `email_temp`, `email_secondary`, `phone_cell`, `phone_home`, `phone_work`, `marital_status`, `anniversary`, `spouse_id`, `spouse_permission`, `parent_id`, `parent_id_adult`, `address1`, `address2`, `city`, `state`, `zip`, `school`, `school_type`, `allergies`, `age_cat`, `kidzpoint_room`, `baptized`, `spiritual_gifts`, `discipleship`, `remarks`, `date_added`, `last_updated_date`, `last_updated_by`, `access_level`, `member_level`, `member_since`, `account_status`, `theme`, `privacy`, `sendalerts`, `failed_logins`, `verified`, `activationkey`) VALUES
(1, '5f4dcc3b5aa765d61d8327deb882cf99', 'Doe', 'John', '', '', '-604695600', '1', '', 'replace@example.org', '', '', '5021112222', '', '5021112222', 'm', '1989-11-12', 4, 1, 0, 0, '533 116th St', '', 'Fishers', 'IN', '46037', 0, 0, '', 3, 0, 1, 'Database design, PHP programmer', 2, '', '', '2014-12-14 16:46:07', 0, 1, 1, '', 0, 1, 0, 1, 0, 1, ''),
(4, '5f4dcc3b5aa765d61d8327deb882cf99', 'Doe', 'Janie', '', '', '-62169966000', '2', '', 'grace@example.org', '', '', '5029991111', '', '', 'm', '1989-11-12', 1, 1, 0, 0, '533 116th St', '', 'Fishers', 'IN', '46037', 0, 0, '', 3, 0, 2, 'Spending time with the elderly and children', 0, '', '', '2014-12-14 16:58:57', 0, 3, 1, '', 0, 1, 0, 1, 0, 1, ''),
(5, '', 'Doe', 'Jonnie', '1-1417748092_400.jpeg', '1-1417748092_100.jpeg', '1259643600', '1', '', '', '', '', '', '', '', '', '', 0, 0, 1, 0, '', '', '', '', '', 4, 1, 'Peanuts', 1, 3, 2, '', 0, '', '', '2014-12-05 02:54:52', 0, 0, 0, '', 0, 1, 0, 1, 0, 0, ''),
(6, '', 'Doe', 'Ella', '1-1417747930_400.jpeg', '1-1417747930_100.jpeg', '1386219600', '2', '', '', '', '', '', '', '', '', '', 0, 0, 1, 0, '', '', '', '', '', 6, 0, '', 1, 2, 2, '', 0, '', '', '2014-12-05 02:52:10', 0, 0, 0, '', 0, 1, 0, 1, 0, 0, ''),
(7, '', 'Carma', 'Stacy', '', '', '-812145600', '2', '', '', '', '', '', '', '', 'm', '1974-11-14', 0, 0, 0, 0, '', '', '', 'AK', '', 0, 0, '', 3, 0, 2, '', 0, '', '', '2014-12-04 08:30:34', 0, 4, 0, '', 0, 1, 0, 1, 0, 0, '');

-- --------------------------------------------------------

--
-- Table structure for table `users_attendance`
--

CREATE TABLE IF NOT EXISTS `users_attendance` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `memid` bigint(11) NOT NULL,
  `date` text COLLATE utf8_unicode_ci NOT NULL,
  `numfamily` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `memid` (`memid`),
  FULLTEXT KEY `date` (`date`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=4 ;

--
-- Table structure for table `users_inbox`
--

CREATE TABLE IF NOT EXISTS `users_inbox` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `toid` bigint(20) NOT NULL,
  `frid` bigint(20) NOT NULL,
  `subject` text COLLATE utf8_unicode_ci NOT NULL,
  `message` longtext COLLATE utf8_unicode_ci NOT NULL,
  `date` text COLLATE utf8_unicode_ci NOT NULL,
  `hasread` tinyint(4) NOT NULL,
  `replied` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

--
-- Table structure for table `users_pwreset`
--

CREATE TABLE IF NOT EXISTS `users_pwreset` (
  `id` bigint(20) NOT NULL,
  `pwkey` varchar(200) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `users_sentbox`
--

CREATE TABLE IF NOT EXISTS `users_sentbox` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `toid` bigint(20) NOT NULL,
  `frid` bigint(20) NOT NULL,
  `subject` text COLLATE utf8_unicode_ci NOT NULL,
  `message` longtext COLLATE utf8_unicode_ci NOT NULL,
  `date` text COLLATE utf8_unicode_ci NOT NULL,
  `hasread` tinyint(4) NOT NULL,
  `replied` tinyint(4) NOT NULL,
  `fromgroup` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

--
-- Table structure for table `users_updates`
--

CREATE TABLE IF NOT EXISTS `users_updates` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `userid` bigint(20) NOT NULL,
  `date` text COLLATE utf8_unicode_ci NOT NULL,
  `updated_by_id` bigint(20) NOT NULL,
  `old_address1` text COLLATE utf8_unicode_ci NOT NULL,
  `old_first` text COLLATE utf8_unicode_ci NOT NULL,
  `old_last` text COLLATE utf8_unicode_ci NOT NULL,
  `old_email` text COLLATE utf8_unicode_ci NOT NULL,
  `old_remarks` longtext COLLATE utf8_unicode_ci NOT NULL,
  `accepted` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
