<?php
$pagename = "Group Management";
require "html-first.php";

	if (($loggedinname) && ($memid) && ($isstaff)){
	$message =  "Manage $site_name Groups";
	$message2 =  "Add and edit groups, or assign and invite users.";
	}
	else{
	$message = "You must be logged in and authorized to view this page";
	$message2 = "You need to log in before you can perform any tasks in this section.";
	echo "<p align=\"left\"><h2>{$message}</h2></p>{$message2}<br><br>";
	}

	if (($loggedinname) && ($memid) && ($isstaff)){
	// Generate to and from form
	$field = mysqli_real_escape_string($connMain,$_REQUEST['field']);
	$wildcard = "%";
	$action = $_REQUEST['action']; // Main Page
	$getgroupid = $_REQUEST['getgroupid']; // Get Group info
	$isgroupid = $_GET['isgroupid']; // Get Group info
	$addgroup = $_POST['newgroup']; // Add a new group
	$editgroup = $_POST['groupname']; // Existing group name
	$postgroupid = $_POST['groupid']; // Existing group id to edit
	$doremarks = mysqli_real_escape_string($connMain,$_POST['doremarks']);

		if ($getgroupid){
		$sqlextra = " WHERE id ='$getgroupid'";
		}
		
		if ($addgroup){
		// See if the group name exists first
		$addgroup = mysqli_real_escape_string($connMain,$addgroup);
		$query = "SELECT id FROM groups where name ='$addgroup'";
		$result = $connMain->query($query);
		$result->data_seek(0);
		$rd = $result->fetch_assoc();
		$gpexists = $rd["id"];

			if ($gpexists){
			$message = "That group name already exists. Please choose a different name.";
			}
			else{

				// Need to add array escape
				foreach ($_POST as $key => $value) {
					if (!is_array($value)){
					$_POST[$key] = mysqli_real_escape_string($connMain,$value);
					}
				}
			$query = "INSERT INTO `groups` (`name`, `description`, `leader1`, `leader2`, `trackattendance`) VALUES ('".$_POST['newgroup']."','".$_POST['desc']."','".$_POST['leader1']."','".$_POST['leader2']."','".$_POST['trackattendance']."')";
			$queryExec = $connMain->query($query);
			$message = "Success: The new group was added.";
			$group_added = 1;
			}

		}
		elseif ($editgroup){
		$query = "update groups set name='$editgroup', description='".$_POST['desc']."', leader1='".$_POST['leader1']."', leader2='".$_POST['leader2']."', trackattendance='".$_POST['trackattendance']."' where id='$postgroupid' LIMIT 1";
		$queryExec = $connMain->query($query);

			if($_POST['trackattendance']==2){
			$query = "delete from group_attendance where groupid='$postgroupid'";
			$queryExec = $connMain->query($query);
			}

		}
		elseif ($_POST['doaddattendance']){
		echo "	<style type=\"text/css\">
		<!--
		body{
		margin:0;
		font-family:Helvetica Neue,Arial,sans-serif;

		font-size:16px;
		}
		//-->
		</style>";
		$pfdate = $_POST['fdate'];
		$prid = array();
		$prid = $_POST['prid'];
		$pgpid = $_POST['getgroupid'];

			if (!$pnumPresent){
			$pnumPresent = "0";
			}
			if ($prid){
				foreach ($prid as $key => $pprid){
			//$pnumPresent = array();
				$queryc = "select memid from group_attendance where groupid ='$pgpid' and memid ='$pprid' and date ='$pfdate'";
				$resultc = $connMain->query($queryc);
				$num_pr = $resultc->num_rows;

					if (!$num_pr){
					$query = "insert into group_attendance (groupid,memid,date) values ('$pgpid','$pprid','$pfdate')";
					$queryExec = $connMain->query($query);
					}
				}
			}
		echo "Success! Attendance was updated for $pfdate.";
		//exit;
		}
	echo "<p align=\"left\"><h2>{$message}</h2></p>{$message2}<br><br>";


		if (($action=='addnewgroup') && ($group_added!=1)){
		$querygc = "select id, first, last from users where parent_id ='0' order by last desc, first desc";
		$resultgc = $connMain->query($querygc);
		$resultgc->data_seek(0);

			while ($gc = $resultgc->fetch_assoc()){
			$cid = $gc["id"];
			$cFirst = $gc["first"];
			$cLast = $gc["last"];
			$sel = "\n<option value=\"$cid\">$cLast, $cFirst</option>$sel";
			}

		echo "
		<table border=\"1\" cellspacing=\"0\" cellpadding=\"5\" width=\"100%\" style=\"BORDER-COLLAPSE: collapse\" class=\"tableshadow\" bgcolor=\"#FFF\">
		<form method=\"POST\"><tr><td>Group Name*</td><td><input type=\"text\" name=\"newgroup\" size=\"30\" value=\"".$_POST['newgroup']."\"></td></tr>
		<tr><td>Short Description</td><td><textarea rows=\"7\" cols=\"35\" style=\"height: 80px\" name=\"desc\">".$_POST['desc']."</textarea></td></tr>
		<tr><td>Leader 1</td><td><select size=\"1\" name=\"leader1\"><option value=\"\">Please Select (Optional)</option>$sel</select></td></tr>
		<tr><td>Leader 2</td><td><select size=\"1\" name=\"leader2\"><option value=\"\">Please Select (Optional)</option>$sel</select></td></tr>
		<tr><td>Track Attendance?</td><td><select size=\"1\" name=\"trackattendance\"><option value=\"1\">Yes</option><option selected value=\"2\">No</option></select></td></tr>
		<tr><td></td><td><input type=\"submit\" value=\"Add\" class=\"button\"></td></tr>
		</form></table><br><br><hr>";
		}
		elseif ($action=='deletegroup'){
		echo "<hr><br>Are you sure that you want to delete this group? All members of this group will be unassigned from it, and the group will no longer show up on the group list.
		<a href=\"group-management.php?isgroupid=$getgroupid&action=dodeletegroup\"><b>Yes, Delete This Group</b></a>";
		}
		elseif ($action=='dodeletegroup'){
		$query = "delete from group_members where group_id='$isgroupid'";
		$queryExec = $connMain->query($query);

		$query = "delete from groups where id='$isgroupid' LIMIT 1";
		$queryExec = $connMain->query($query);
		}
		elseif ($action=='editgroup'){
		// Get group info first
		$query = "SELECT * FROM groups where id ='$getgroupid' LIMIT 1";
		$resultg = $connMain->query($query);
		$resultg->data_seek(0);
		$rg = $resultg->fetch_assoc();

		$leader1 = $rg["leader1"];
		$leader2 = $rg["leader2"];
		$groupname = $rg["name"];
		$groupdesc = $rg["description"];
		$groupid = $rg["id"];
		$trackatt = $rg["trackattendance"];
		// Display possible leaders
		$query = "select id, first, last from users where parent_id ='0' order by last desc, first desc";
		$resultgc1 = $connMain->query($query);
		$resultgc1->data_seek(0);

			while ($gc1 = $resultgc1->fetch_assoc()){
			$cid1 = $gc1["id"];
			$cFirst1 = $gc1["first"];
			$cLast1 = $gc1["last"];
				if ($cid1==$leader1){
				$selected1 = " selected";
				}
				else{
				$selected1 = "";
				}
			$sel1 = "\n<option$selected1 value=\"$cid1\">$cLast1, $cFirst1</option>$sel1";
			}

		$query = "select id, first, last from users where parent_id ='0' and id !='1' order by last desc, first desc";
		$resultgc2 = $connMain->query($query);
		$resultgc2->data_seek(0);

			while ($gc2 = $resultgc2->fetch_assoc()){
			$cid2 = $gc2["id"];
			$cFirst2 = $gc2["first"];
			$cLast2 = $gc2["last"];

				if ($cid2==$leader2){
				$selected2 = " selected";
				}
				else{
				$selected2 = "";
				}

			$sel2 = "\n<option$selected2 value=\"$cid2\">$cLast2, $cFirst2</option>$sel2";
			}

			if ($trackatt==1){
			$issel3 = " selected";
			}
			else{
			$issel4 = " selected";
			}

		echo "<table border=\"1\" cellspacing=\"0\" cellpadding=\"5\" width=\"100%\" style=\"BORDER-COLLAPSE: collapse\" class=\"tableshadow\">
		<form method=\"POST\"><tr><td>Group Name</td><td><input type=\"text\" name=\"groupname\" size=\"30\" value=\"$groupname\"></td></tr>
		<tr><td>Short Description</td><td><textarea rows=\"7\" cols=\"35\" style=\"height: 80px\" name=\"desc\">$groupdesc</textarea></td></tr>
		<tr><td>Leader 1</td><td><select size=\"1\" name=\"leader1\"><option value=\"\">Please Select (Optional)</option>$sel1</select></td></tr>
		<tr><td>Leader 2</td><td><select size=\"1\" name=\"leader2\"><option value=\"\">Please Select (Optional)</option>$sel2</select></td></tr>
		<tr><td>Track Attendance?</td><td><select size=\"1\" name=\"trackattendance\"><option$issel3 value=\"1\">Yes</option><option$issel4 value=\"2\">No</option></select></td></tr>
		<tr><td></td><td><input type=\"hidden\" name=\"groupid\" value=\"$groupid\"><input type=\"submit\" value=\"Update\" class=\"button\"></td></tr>
		</form></table><br><br><hr>";
		}
		elseif ($action=='doremovemember'){
		$query = "delete from group_members where logid='".$_GET['logid']."' LIMIT 1";
		$queryExec = $connMain->query($query);
		}
		elseif ($action=='doaddmembers'){
		echo "<h2>Added Users to Group $name</h2>";
		$fid = array();
		$fid = $_POST['fid'];
			if (count($fid) > 0){
			
				foreach ($fid as $addid){
				$query = "select member_id from group_members where group_id ='".$_POST['groupid']."' and member_id ='$addid'";
				$resultnm = $connMain->query($query);
				$num_ar = $resultnm->num_rows;

					if (!$num_ar){
					$query = "insert into group_members (group_id,member_id,status) values ('".$_POST['groupid']."','$addid','".$_POST['status']."')";
					$queryExec = $connMain->query($query);
					}
				}
			}
		}
		elseif ($action=='addmembers'){
		echo "<h2>Adding Users to Group $name</h2><form method=\"POST\"><table border=\"0\" cellspacing=\"0\" cellpadding=\"5\" width=\"300\" bgcolor=\"#223D88\">
		<tr><td><font color=\"#fff\">Add to Group</font></td><td><input type=\"radio\" checked name=\"status\" value=\"1\"></td><td><font color=\"#fff\">Invite to Group</font></td>
		<td><input type=\"radio\" name=\"status\" value=\"0\"></td></tr></table>
		<table border=\"1\" cellspacing=\"0\" cellpadding=\"5\" width=\"100%\" style=\"BORDER-COLLAPSE: collapse\" class=\"tableshadow\">
		<tr><td width=\"50\">Select</td><td>Name</td></tr>";

		$query = "select id, first, last, parent_id, age_cat from users order by last asc, first asc";
		$resultg = $connMain->query($query);
		$resultg->data_seek(0);

			while ($gc = $resultg->fetch_assoc()){
			$fid = $gc["id"];
			$cFirst = $gc["first"];
			$cLast = $gc["last"];
			$cParentId = $gc["parent_id"];
			$cAgeCat = $gc["age_cat"];
			$isChild = "";

				if ($cAgeCat==1){
				$isChild  = " (Childcare)";
				}
				elseif ($cAgeCat==2){
				$isChild  = " (Youth)";
				}

			// Does user already exist in group? Process is intense, as it has to query every single user. Have to find a better way to do this.
			$query = "select logid from group_members WHERE member_id ='$fid' AND group_id ='$getgroupid' LIMIT 1";
			$resultcu = $connMain->query($query);
			$resultcu->data_seek(0);
			$cu = $resultcu->fetch_assoc();
			$cExists = $cu["logid"];

				if (!$cExists){
				echo "\n<tr bgcolor=\"#fff\"><td><input type=\"checkbox\" name=\"fid[]\" value=\"$fid\"></td><td><a href=\"$http/?gid=$fid\">$cLast, $cFirst</a>{$isChild}</td></tr>";
				}
			}

		echo "<input type=\"hidden\" name=\"groupid\" value=\"$getgroupid\">
		<input type=\"hidden\" name=\"action\" value=\"doaddmembers\">
		<tr bgcolor=\"#fff\"><td></td><td><input type=\"submit\" value=\"Submit\" class=\"button\"></td></tr>
		</table></form><br><br><hr>";
		}
		else{
		echo "<form method=\"GET\">
		<input type=\"hidden\" value=\"addnewgroup\" name=\"action\">
		<input type=\"submit\" value=\"Add a New Group\" class=\"button\">
		</form>";
		}

	// Get all groups
	$query = "SELECT * FROM groups$sqlextra ORDER BY name asc";
	$result = $connMain->query($query);
	$result->data_seek(0);

		while ($rc = $result->fetch_assoc()){

		$ischild = "";
		$gpid = $rc["id"];
		$name = $rc["name"];
		$desc = $rc["description"];
		$leader1 = $rc["leader1"];
		$leader2 = $rc["leader2"];
		$istrackatt = $rc["trackattendance"];
		$leader1First = "";
		$leader1Last = "";
		$leader2First = "";
		$leader2Last = "";

		// Get leader info
		$query = "SELECT id, first, last FROM users where (id='$leader1' OR id='$leader2') LIMIT 2";
		$result2 = $connMain->query($query);
		$result2->data_seek(0);

			while ($rl = $result2->fetch_assoc()){
			$lid = $rl["id"];

				if ($lid==$leader1){
				$leader1First = $rl["first"];
				$leader1Last = $rl["last"];
				}
				elseif ($lid==$leader2){
				$leader2First = $rl["first"];
				$leader2Last = $rl["last"];
				}
			}
		// Get member count
		$query = "select member_id from group_members where group_id ='$gpid' and status ='1'";
		$resultac = $connMain->query($query);
		$num_members_active = $resultac->num_rows;


		$query = "select member_id from group_members where group_id ='$gpid' and status ='0'";
		$resultap = $connMain->query($query);
		$num_members_pending = $resultap->num_rows;
		$listresults = "$listresults<tr bgcolor=\"#fff\"><td><b><a href=\"group-management.php?getgroupid=$gpid\">{$name}</a></b><td>{$desc}</td><td>{$leader1First} {$leader1Last}</td><td>{$leader2First} {$leader2Last}</td><td>{$num_members_active} Active / {$num_members_pending} Pending</td></tr>\n";
		}

		if ($getgroupid){
		$label_t = "$name";
		}
		else{
		$label_t = "Existing $site_name Groups";
		}


	echo "<br><br><h3>$label_t</h3>
	<table border=\"1\" cellspacing=\"0\" cellpadding=\"5\" width=\"100%\" style=\"BORDER-COLLAPSE: collapse\" class=\"tableshadow\">
	<tr><td>Name</td><td>Description</td><td>Leader1</td><td>Leader2</td><td>Members</td></tr>
	$listresults
	</table>";

		if ($getgroupid){

			if ($doremarks){
			$query = "update group_members set remarks='$doremarks' where logid='".$_POST['logid']."' LIMIT 1";
			$queryExec = $connMain->query($query);
			}

		echo "<br><br><a href=\"group-management.php?getgroupid=$getgroupid&action=editgroup\">Edit Group</a> | <a href=\"group-management.php?getgroupid=$getgroupid&action=deletegroup\">Delete Group</a><br><br><h3>Group Members</h3>
		<script type=\"text/javascript\">
		function showdiv(id){
		document.getElementById(id).style.display = \"block\";
		}
		</script>
		<table border=\"1\" cellspacing=\"0\" cellpadding=\"5\" width=\"100%\" style=\"BORDER-COLLAPSE: collapse\" class=\"tableshadow\">
		<tr><td width=\"190\">Name</td><td width=\"90\">Contact</td><td width=\"90\">Status</td><td>Remarks</td><td width=\"90\">Options</td></tr>";
		$query = "select g.*, u.id, u.first, u.last, u.parent_id from group_members g, users u where g.group_id ='$gpid' and u.id=g.member_id order by g.status desc, u.last asc, u.first asc";
		$resultgm = $connMain->query($query);
		$resultgm->data_seek(0);

			while ($gm = $resultgm->fetch_assoc()){
			$logid = $gm["logid"];
			$mid = $gm["id"];
			$memFirst = $gm["first"];
			$memLast = $gm["last"];
			$memStatus = $gm["status"];
			$memRemarks = $gm["remarks"];
			$hasParentId = $gm["parent_id"];

				if ($memStatus==0){
				$memStatus = "Invited";
				}
				else{
				$memStatus = "Active";
				}

				if (!$memRemarks){
				$remarks_formtext = "<u>Add Remarks</u>";
				}
				else{
				$remarks_formtext = " | <u>Edit</u>";
				}

				if ($hasParentId){
				$sendMessage = "Contact Parent";
				$midS = $hasParentId;
				}
				else{
				$sendMessage = "Contact";
				$midS = $mid;
				}

			echo "<tr bgcolor=\"#fff\"><td><a href=\"$http/?gid=$mid\">$memLast, $memFirst</a></td><td><a href=\"Messages.php?m=2&id=$midS\">$sendMessage</a></td><td>$memStatus</td><td>$memRemarks
			<a class=\"hide\" onclick=\"showdiv('w$mid'); \">$remarks_formtext</a>
			<div id=\"w$mid\" class=\"w$mid\" style=\"display: none;\">
			<form method=\"POST\">
			<input type=\"hidden\" name=\"logid\" value=\"$logid\">
			<textarea rows=\"7\" cols=\"55\" style=\"height: 80px\" name=\"doremarks\">$memRemarks</textarea><br>
			<input type=\"submit\" value=\"Submit\" class=\"button\">
			</form>
			</div></td>
			<td><a href=\"group-management.php?getgroupid=$gpid&action=doremovemember&logid=$logid\">Remove</a></td></tr>";
			}

		echo "</table><br><br><a href=\"group-management.php?getgroupid=$gpid&action=addmembers\">Add new members</a> to the group \"$name\".
		<br><a href=\"Messages.php?getgroupid=$gpid&m=2\">Send a message to group members</a>.";

			if ($istrackatt==1){
			$getdate = $_GET['dateDr'];
			echo "<br><script language=\"javascript\" src=\"calendar/calendar.js\"></script><hr><br><b>Insert Attendance Records</b><form method=\"GET\">";
			require_once('calendar/classes/tc_calendar.php');
			$thisYear = date("Y"); // For calendar
			$lastYear = ($thisYear - 1);
			//instantiate class and set properties
			$myCalendar = new tc_calendar("dateDr", true, false);
			$myCalendar->setPath("calendar/");
			$myCalendar->setIcon("calendar/images/iconCalendar.gif");
			$myCalendar->setDateFormat('j F Y'); //date will display like '9 September 2009' 

			$myCalendar->setDate(date('d'), date('m'), date('Y'));

			//$myCalendar->setDate(date(''), date(''), date(''));
			$myCalendar->setYearInterval($lastYear, $thisYear);
			//output the calendar
			$myCalendar->writeScript();


			echo "<input type=\"hidden\" name=\"getgroupid\" value=\"$gpid\" />
			<input type=\"submit\" id=\"submitButton\" value=\"Set Date\" /></form>";

				if ($getdate){
				$getdate = date('Y-m-d', strtotime($getdate));
				$query = "select g.*, u.id, u.first, u.last from group_members g, users u where g.group_id ='$gpid' and u.id=g.member_id order by g.status desc, u.last asc, u.first asc";
				$resultgmm = $connMain->query($query);
				$resultgmm->data_seek(0);

					while ($gm = $resultgmm->fetch_assoc()){
					$logid = $gm["logid"];
					$mid = $gm["id"];
					$memFirst = $gm["first"];
					$memLast = $gm["last"];
					// Check if already logged
					$query = "SELECT id FROM group_attendance where memid='$mid' and groupid='$gpid' and date ='$getdate' LIMIT 1";
					$resultra = $connMain->query($query);
					$rnuma = $resultra->num_rows;

						if (!$rnuma){
						$formusersel = "<tr><td>$isdate<input type=\"checkbox\" value=\"$mid\" name=\"prid[]\"></td>
						<td><a href=\"$http/?gid=$mid\">$memLast, $memFirst</a></td>
						</tr>\n$formusersel";
						}
					}
				echo "<form method=\"POST\"><table width=\"425\" border=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#C0C0C0\">
				<tr><td>Present?</td><td>Name</td></tr>
				$formusersel
				<tr><td></td><td></td><td>
				<input type=\"hidden\" name=\"getgroupid\" value=\"$gpid\" />
				<input type=\"hidden\" name=\"fdate\" value=\"$getdate\" />
				<input type=\"hidden\" name=\"doaddattendance\" value=\"1\" />
				<input type=\"submit\" id=\"submitButton\" value=\"Mark as Present\" />
				</td></tr></table></form>";
				}
			echo "<br><br><a href=\"Reports.php?reportType=3&gpid=$gpid\">View Attendance Reports</a>";
			}
		}
	}

require "html-second.php";
?>
